%define name gdeploy
%define version 1.0
%define release 12
%define gdeploymod ansible/modules/extras/system/glusterfs
%define gdeploytemp /usr/share/ansible/gdeploy
%define gdeploydoc /usr/share/doc/ansible/gdeploy

Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	Tool to deploy and manage GlusterFS cluster.

Group:		Applications/System
License:	GPLv3
URL:		http://www.redhat.com/storage
Source0:	%{name}-%{version}-%{release}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  python-setuptools

%description
This package provides ansible modules to setup and configure GluterFS. With
these modules you can:
 Configure backend to setup GlusterFS
  * Setup backend with lvm thinpool support
  * Create Filesystem
  * Mount the filesystem
  * Create and start a GlusterFS volume
  * Mount the clients
 Tool to generate the playbooks, group_vars/host_vars

%prep
%setup -n %{name}-%{version}-%{release}

%build
python setup.py build

%install
# Install the binary and python libraries
rm -rf %{buildroot}
python setup.py install -O1 --root=%{buildroot} --record=INSTALLED_FILES

mkdir -p %{buildroot}/%{python_sitelib}/%{gdeploymod}
install -m 755 modules/* \
    %{buildroot}/%{python_sitelib}/%{gdeploymod}

# Install the templates into /usr/share/ansible/gdeploy/templates
mkdir -p %{buildroot}/%{gdeploytemp}
cp -r templates %{buildroot}/%{gdeploytemp}

# Documentation
mkdir -p %{buildroot}/%{gdeploydoc}
cp -r README.md examples %{buildroot}/%{gdeploydoc}

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%{python_sitelib}/%{gdeploymod}
%{gdeploytemp}

%doc README.md
%docdir %{gdeploydoc}
%{gdeploydoc}

%changelog
* Wed Sep 16 2015 Sachidananda Urs <sac@redhat.com> 1.0-12
- Blocker bug fixes

* Fri Sep 11 2015 Sachidananda Urs <sac@redhat.com> 1.0-11
- Fixes bugs #1261881 #1257162

* Wed Sep 9 2015 Sachidananda Urs <sac@redhat.com> 1.0-10
- Fixes security bugs #1260614 #1260709

* Mon Sep 7 2015 Sachidananda Urs <sac@redhat.com> 1.0-9
- Fixes bugs #1260597, #1260614, #1260709

* Thu Sep 3 2015 Sachidananda Urs <sac@redhat.com> 1.0-8
- Fixes bugs #1248899, #1253344, #1254941

* Mon Aug 31 2015 Sachidananda Urs <sac@redhat.com> 1.0-7
- Bug fixes

* Tue Aug 25 2015 Sachidananda Urs <sac@redhat.com> 1.0-6
- Fix the release naming in the tar.gz

* Thu Aug 20 2015 Sachidananda Urs <sac@redhat.com> 1.0-3
- Fix build issues related to RHEL 6.7

* Thu Aug 20 2015 Sachidananda Urs <sac@redhat.com> 1.0-2
- Spec file fixes, included BuildRequires

* Thu Aug 20 2015 Sachidananda Urs <sac@redhat.com> 1.0-1
- Spec file fixes

* Mon Aug 3 2015 Sachidananda Urs <sac@redhat.com> 1.0
- Initial release.
